package com.chushang.datascope.annotation;

import com.chushang.datascope.enums.ScopeKeyWord;

import java.lang.annotation.*;

@Target(value = {ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataScope
{
    /**
     * 用于查询部门id的表别名
     */
    String deptAlias() default "";

    /**
     * 用户表的别名, 用于查询userId
     */
    String userAlias() default "";

    String permission() default "";

    ScopeKeyWord scopeKey() default ScopeKeyWord.AND;

}
